Changes between Version 39 and Version 40 of PythonOcc/primitives


Ignore:
Timestamp:
Nov 6, 2015, 4:54:13 PM (5 years ago)
Author:
dpenko
Comment:

V postopku "Preprosti program- Primer izdelave izvleka v prostor" sem dodal še navodila, kako narediti robove v obliki krožnega loka in kako narediti mrežo z več kot 4 robovi.

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v39 v40  
    108108display.DisplayShape(Rob.Shape())
    109109}}}
     110V primeru, da želimo narediti rob s krožnim lokom uporabimo knjižnico
     111{{{
     112#!python
     113from OCC.GC import *
     114}}}
     115in ukaz
     116{{{
     117#!python
     118aArcOfCircle1 = GC_MakeArcOfCircle(zacetna_tocka, dodatna_tocka_na_kroznici, koncna_tocka)
     119}}}
    110120[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    111121
     
    115125Mreza  = BRepBuilderAPI_MakeWire(Rob1.Edge() , Rob2.Edge() ,Rob3.Edge(), Rob4.Edge())
    116126Mreza2  = BRepBuilderAPI_MakeWire(Mreza.Wire(), Rob1.Edge())
     127}}}
     128Ukaz BRepBuilderAPI_MakeWire() sprejme le štiri argumente, tako da lahko na ta način sestavimo le mrežo s štirimi robovi. Če želimo narediti mrežo z več robovi lahko definiramo več posameznih mrež in jih nato skupaj sestavimo.
     129{{{
     130#!python
     131Mreza1  = BRepBuilderAPI_MakeWire(Rob1.Edge() , Rob2.Edge() ,Rob3.Edge(), Rob4.Edge())
     132Mreza2  = BRepBuilderAPI_MakeWire(Rob5.Edge(), Rob6.Edge())
     133Mreza1.Add(Mreza2.Wire()) #Mreži Mreza1 dodamo še mrežo Mreza2 in ju tako združimo skupaj
    117134}}}
    118135Vsak rob predstavlja svojo geometrijsko obliko v prostoru. Zato moramo, preden naredimo